TechDraw: Testo con guida

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page TechDraw TextLeader and the translation is 100% complete.

Other languages:
English • ‎français • ‎italiano
Arrow-left.svg TechDraw Tree Page Sync.png Ridisegna pagina Pagina precedente:
Pagina successiva: Tipi di tratteggio Arrow-right.svg

Techdraw-textleader.svg Testo con guida

Posizione nel menu
TechDraw → Testo con guida
Ambiente
TechDraw
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Modelli di squadrature, I file SVG


Questa pagina è obsoleta. Vedere Linea guida e Blocco di testo

Descrizione

Lo strumento Testo con guida inserisce un blocco di annotazione Rich Text e una linea guida in una vista.

TechDraw TextLeader sample.png

Testo con guida aggiunto a View001


Utilizzo

  1. Premere il pulsante Techdraw-textleader.svg Testo con guida.
  2. Si apre una finestra di dialogo delle Azioni. La finestra di dialogo consente di disegnare la linea guida, assegnare i simboli finali alla linea e richiamare un editor Rich Text per creare il testo dell'annotazione.


Proprietà

  • DATAX,Y: il punto in cui la linea guida è connessa alla vista.
  • DATALeader Parent: la vista a cui è collegata la linea guida.
  • DATAStart Symbol: il simbolo della fine della linea (punta della freccia) all'estremità della vista.
  • DATAEnd Symbol: il simbolo di fine linea alla fine del blocco di annotazione.
  • DATAScalable: scala.
  • DATALeader Text: contenuto del blocco annotazione.
  • DATAText Position: posizione del testo relativa alla fine dell'annotazione della linea guida.
  • VIEWLine Style: 0 - nessuna linea, 1 - linea continua, ...
  • VIEWLine Width: spessore della linea principale.


Script

Vedere anche: API TechDraw e Nozioni di base sugli script di FreeCAD.

Lo strumento Testo con guida può essere utilizzato nelle macro e dalla console Python utilizzando la seguente funzione:

myPage = FreeCAD.ActiveDocument().Page
myBase = FreeCAD.ActiveDocument().View
leaderObj = FreeCAD.ActiveDocument.addObject('TechDraw::DrawTextLeader','DrawTextLeader')
FreeCAD.activeDocument().myPage.addView(leaderObj)
FreeCAD.activeDocument().leaderObj.LeaderParent = myBase
#first waypoint is always (0,0,0)  
#rest of waypoints are positions relative to (0,0,0)
leaderObj.Waypoints = [p0,p1,p2]
leaderObj.AttachPoint = FreeCAD.Vector(5,5,0)
leaderObj.LeaderText = myPlainOrHtmlText

Note

  • Questa funzione è stata aggiunta nella versione 0.19.
  • È possibile spostare il blocco di testo con un clic e trascinare.
  • È possibile modificare il Testo con guida facendo doppio clic su di esso nella vista ad albero. Il doppio clic nell'area grafica non è ancora supportato.
  • La linea guida può essere modificata premendo "Modifica punti" mentre si è in modalità modifica. Per uscire dalla modifica del punto: premere "Escape editing", premere ESC o premere il pulsante destro del mouse (RMB).
Arrow-left.svg TechDraw Tree Page Sync.png Ridisegna pagina Pagina precedente:
Pagina successiva: Tipi di tratteggio Arrow-right.svg